Package be.fgov.ehealth.rn.baselegaldata.v1

# Class CivilStatesDeclarationType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.CivilStatesDeclarationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class CivilStatesDeclarationType extends Object implements Serializable

Java class for CivilStatesDeclarationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CivilStatesDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CivilState" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CivilStateInfoDeclarationType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CivilStatesDeclarationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CivilStateInfoDeclarationType>`
  `getCivilStates()`
  Element containing all information comprised in the nationality datagroup of the found person Gets the value of the civilStates property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CivilStatesDeclarationType

    public CivilStatesDeclarationType()

- ## Method Details

  - ### getCivilStates

    public List<CivilStateInfoDeclarationType> getCivilStates()
    Element containing all information comprised in the nationality datagroup of the found person Gets the value of the civilStates property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the civilStates property.

    For example, to add a new item, do as follows:

         getCivilStates().add(newItem);

    Objects of the following type(s) are allowed in the list `CivilStateInfoDeclarationType`

    Returns:
      The value of the civilStates property.